opentalent:
    modules:
      Core:
        entities:
          - AccessProfile
          - Tips
          - Notification
          - NotificationUser
          - ContactPoint
          - PersonalizedList
          - File
          - City
          - Country
          - Tagg
          - Enum
          - LicenceCmfOrganizationER
          - DownloadRequest
        roles:
          - ROLE_IMPORT
          - ROLE_TAGG

      CorePremium:
        entities:
          - Tips

      GeneralConfig:
        entities:
          - Place
          - PlaceSystem
          - PlaceControl
          - PlaceRepair
          - Room
          - OrganizationAddressPostal
          - GpsCoordinate
          - Organization
          - Siret
          - Parameters
          - AdminAccess
          - BankAccount
          - OrganizationHoliday
          - TypeOfPractice
          - Activity
          - ActivityType
          - Subdomain
        roles:
          - ROLE_GENERAL_CONFIG

      Users:
        entities:
          - Access
          - Commission
          - File
          - OrganizationFunction
          - FunctionType
          - PersonAddressPostal
          - GpsCoordinate
          - PersonActivity
          - PersonHoliday
          - OrganizationResponsability
        roles:
          - ROLE_USERS
          - ROLE_ACCOUNTS

      Commissons:
         entities:
           - Commission
         roles:
           - ROLE_COMMISSIONS

      UsersSchool:
        entities:
          - EducationStudent
          - Course
          - Education

      Medals:
        entities:
          - Medal
        roles:
          - ROLE_MEDALS

      Donors:
        entities:
          - Donor
        roles:
          - ROLE_DONORS

      Messages:
        entities:
          - Message
          - Email
          - ReportMessage
        roles:
          - ROLE_EMAILS

      MessagesAdvanced:
        entities:
          - Mail
        roles:
          - ROLE_MAILS

      Sms:
        entities:
          - Sms
          - MobytUserStatus
        roles:
          - ROLE_TEXTO

      TemplateMessages:
        entities:
          - TemplateSystem

      Tagg:
        entities:
          - Tagg
        roles:
          - ROLE_TAGG

      TaggAdvanced:
        entities: ~
        roles:
          - ROLE_TAGG_ADVANCED

      Events:
          entities:
            - Event
            - EventGender
            - EventUser
            - Categories
            - EventReport
            - AttendanceBooking
          roles:
            - ROLE_EVENTS

      Courses:
          entities:
            - Course
            - Work
            - WorkByUser
            - EducationStudent
          roles:
            - ROLE_COURSES

      Examens:
          entities:
            - Examen
            - Jury
          roles:
            - ROLE_EXAMENS

      EducationalProjects:
          entities:
            - EducationalProject
            - EducationalProjectPublic
          roles:
            - ROLE_EDUCATIONALPROJECTS

      Attendances:
          entities:
            - Attendance
            - AttendanceBooking
          roles:
            - ROLE_ATTENDANCES

      Equipments:
          entities:
            - Equipment
            - EquipmentControl
            - EquipmentLoan
            - EquipmentRepair
            - EquipmentList
            - EquipmentComposition
          roles:
            - ROLE_EQUIPMENTS

      PedagogicsAdministation:
          entities:
            - EducationTeacher
            - EducationStudent
            - EducationCurriculum
            - EducationNotation
            - EducationCategory
            - CriteriaNotation
            - ExamenConvocation
            - Education
            - Cycle
            - EducationTiming
          roles:
            - ROLE_PEDAGOGICS_ADMINISTRATION

      PedagogicsSeizure:
          entities:
            - EducationStudent
          roles:
            - ROLE_PEDAGOGICS_SEIZURE

      AdvancedEducationNotation:
        entities:
          - EducationNotationConfig
          - EducationNotationCriteriaConfig

      BillingAdministration:
          entities:
            - Intangible
            - ResidenceArea
            - FamilyQuotient
            - BillCredit
            - BillAccounting
            - BillPayment
            - Bill
            - BillingSetting
            - BillLine
            - AccessPayer
            - AccessIntangible
          roles :
            - ROLE_BILLINGS_ADMINISTRATION
            - ROLE_BILLINGS_SEIZURE

      Pes:
          entities:
            - Pes

      IEL:
          entities:
            - AccessWish
            - AccessFamilyWish
            - AccessTmp
            - EducationStudentWish
            - OnlineRegistrationSettings
          roles:
            - ROLE_ONLINEREGISTRATION_ADMINISTRATION

      BergerLevrault:
          entities:
            - BergerLevrault

      Jvs:
          entities:
            - Jvs

      Website:
          entities: ~
          roles:
            - ROLE_WEBSITE

      Statistic:
        entities: ~
        roles:
          - ROLE_STATISTIC

      NetworkOrganization:
          entities:
            - NetworkOrganization

      Network:
          entities:
            - Network
          roles:
            - ROLE_NETWORK

      Cotisation:
        entities:
          - Cotisation

      Dolibarr:
        entities:
          - DolibarrAccount

    products:
      artist:
        modules:
          - Core
          - Users
          - Events
          - GeneralConfig
          - Equipments
          - Medals
          - Donors
          - Commissons
          - Website
          - ViewAudit
          - Messages
          - Tagg
          - Statistic
          - Cotisation
          - Dolibarr

      artist_premium:
        extend: artist
        modules:
          - MessagesAdvanced
          - TaggAdvanced

      school:
        extend: artist_premium
        modules:
          - PedagogicsAdministation
          - PedagogicsSeizure
          - Courses
          - Examens
          - EducationalProjects
          - Attendances
          - UsersSchool
          - BillingAdministration
          - TemplateMessages

      school_premium:
        extend: school
        modules: ~

      manager:
        extend: artist-premium
        modules: ~

      manager_premium:
        extend: manager
        modules:
          - CorePremium
